<!-- <div class="" *ngIf="show === false"></div> -->
    <h2>
        {{name}}
        <h1 *ngIf="show">
          tutorial
        </h1>
        <h2 [style.color]="'red'">style binding</h2>
        <h2 [style.color]="stylecolor">style binding1</h2>
        <h2 [ngStyle]="multiStyle">style binding2</h2>
        <p *ngIf="false; if ifblock else elseblock">ifdirective</p>
<ng-template #ifblock>display ifblock</ng-template>
<ng-template #elseblock> display else block</ng-template>
<!-- switch directive-->
      <div [ngSwitch]="color">
      <h2 *ngSwitchCase="'red'">red color </h2>
      <h2 *ngSwitchCase="'pink'">pink color</h2>
      <h2 *ngSwitchCase="'green'">green color</h2>  
      <p *ngSwitchDefault>not matching</p>   
</div>
<div *ngFor="let text of texts1 index as i">
    <h2>{{tex}}{{i}}</h2>
    </div>
<button (click)="clickbtn()">click</button>
<h3>{{pipe| titlecase}}</h3>
<h3>{{date| Date ='short'}}</h3>
